#include <bits/stdc++.h>
#define pb push_back
#define ll long long
using namespace std;
int main(){
	int n, k;
	cin>>n>>k;
	int a[k];
	vector<ll>ans;
	map<ll, int>mp;
	for(int i = 0; i<k; i++){
		cin>>a[i];
		mp[a[i]]++;
	}
	for(int i = 0; i<k; i++){
		if(mp[a[i]] >= n)			ans.pb(a[i]);
		mp[a[i]] = 0;
	}
	cout<<ans.size()<<'\n';
	for(int i = 0; i<ans.size(); i++){
		cout<<ans[i]<<' ';
	}
		
}
